/* === CATALOG / LOOP === */

/* loop */
.in-cart .add_to_cart_button {
  display: none !important;
}
.product:not(.in-cart) .reazy-qty-wrap.quantity {
  display: none !important;
}

.wd-loading.quantity:after {
  opacity: 1;
  animation: wd-rotate 450ms infinite linear;
  display: block;
  height: 20px !important;
}
.quantity {
  position: relative;
  background-color: #fff;
  border-radius: 100px;
  overflow: hidden;
  border: 1px solid rgba(0, 0, 0, 0.1);
  width: fit-content;
}
div.quantity input[type="button"] {
  padding: 0 5px;
  min-width: 25px;
  min-height: unset;
  height: 42px;
  border: none;
  background: transparent;
  box-shadow: none;
}
div.quantity input[type="button"]:hover {
  color: #fff;
  background-color: var(--accent-color);
  border-color: var(--accent-color);
}
div.quantity input[type="number"] {
  width: 42px;
  border-radius: 0;
  border: none;
  display: inline-block;
  height: 100%;
  padding: 0;
  border-left: 1px solid rgba(0, 0, 0, 0.1);
  border-right: 1px solid rgba(0, 0, 0, 0.1);
  text-align: center;
}

div.quantity input[type="number"]:focus,
div.quantity input[type="number"]:focus-visible,
div.quantity input[type="number"]:active {
  outline: none;
  box-shadow: none;
  border-color: inherit;
}

/* убрать стрелочки Chrome / Safari / Edge */
div.quantity input[type="number"]::-webkit-outer-spin-button,
div.quantity input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* убрать стрелочки Firefox */
div.quantity input[type="number"] {
  -moz-appearance: textfield;
}

/* заодно убрать фокус-обводку */
div.quantity input[type="number"]:focus,
div.quantity input[type="number"]:focus-visible {
  outline: none;
  box-shadow: none;
}
div.quantity input[type="button"] {
  outline: none;
  box-shadow: none;
  -webkit-appearance: none;
  appearance: none;
}

div.quantity input[type="button"]:focus,
div.quantity input[type="button"]:focus-visible,
div.quantity input[type="button"]:active,
div.quantity input[type="button"]:hover {
  outline: none;
  box-shadow: none;
  border-color: inherit;
}

.wd-loading.quantity {
  opacity: 0.7;
}
.quantity:after {
  height: 0px !important;
  position: absolute;
  top: calc(50% - 10px);
  left: calc(50% - 10px);
  opacity: 0;
  transition: opacity 0.6s ease;
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  border: 1px solid rgba(0, 0, 0, 0);
  border-left-color: var(--color-gray-900);
  border-radius: 50%;
  vertical-align: middle;
}

/* catalog */

.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product { position: relative; }

.loop-badge{
  display:none;  /*скрываем по умолчанию*/
  position:absolute; 
  z-index:5; 
  bottom:10px; 
  left:10px;
  align-items:center;
  padding:6px 10px; 
  border-radius:999px;
  font-size:12px; 
  line-height:1; 
  font-weight:600;
  background:#111; 
  color:#fff;
  pointer-events:none;
}
.loop-badge--backorder{ 
  background: var(--yellow-label);
  color: #111; 
}
.catalog__wrap .loop-badge {
  display: inline-flex; /*показываем в каталоге*/
}
.wd-wishlist-content .loop-badge {
  display: inline-flex; /*показываем в избранном*/
}

.testbadge {
  display: none;
  background-color: red;
}
.catalog__wrap .testbadge {
  display: block;
}
.wd-wishlist-content .testbadge {
  display: block;
}

/* для фильтов в каталоге */
.shop-content-area .woodmart-woocommerce-layered-nav .wc-layered-nav-term a {
  padding: 2px;
}

.woocommerce-products-header__title {
  padding-top: 0 !important;
}
.catalog__wrap {
  display: grid;
  grid-template-columns: 300px auto;
  grid-template-areas: 'sidebar catalog';
  gap: 30px;
  margin-top: 40px;
}

@media (max-width: 768px) {
  .catalog__wrap {
    margin-top: 20px;
  }
}
.area-sidebar-shop {
  grid-area: sidebar;
  padding: 0;
  max-width: 100% !important;   /* wd fix */
}

@media (max-width: 1200px) {
  .catalog__wrap {
    grid-template-columns: auto;
    grid-template-areas: 'sidebar'
    'catalog';
    gap: 0;
  }
  .area-sidebar-shop {
    width: 350px;
    height: var(--vh);
    overflow-y: scroll;
    padding: 15px 15px;
    background-color: var(--bg-color);
    position: fixed;
    top: 0;
    left: -350px;
    z-index: 9999;
    transition: left 0.5s;
  }
  .area-sidebar-shop.modal-mob_active {
    left: 0;
  }
}

.catalog__grid {
  grid-area: catalog;
}

.catalog__grid .products{
  list-style: none;
  padding: 0;
  box-sizing: border-box;
  word-break: break-word;

  display: grid;
  column-gap: var(--catalog-col-gap);
  row-gap: 20px;
  align-items: stretch;
  margin-bottom: 50px;
}

/* Колонки */
.catalog__grid .products.columns-2{ grid-template-columns: repeat(2, minmax(0, 1fr)); }
.catalog__grid .products.columns-3{ grid-template-columns: repeat(3, minmax(0, 1fr)); }
.catalog__grid .products.columns-4{ grid-template-columns: repeat(4, minmax(0, 1fr)); }

/* Элемент сетки */
.catalog__grid .products .product{
  height: 100%;
  width: auto;
}

/* Планшет/мобилка: 3 и 4 -> 2 */
@media (max-width: 768px) {
  .catalog__grid .products.columns-3,
  .catalog__grid .products.columns-4 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

/* Маленькие экраны: всё -> 1 */
/* @media screen and (max-width: 480px){
  .catalog__grid .products.columns-2,
  .catalog__grid .products.columns-3,
  .catalog__grid .products.columns-4{
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
} */

.catalog__grid .products .product{
  display: flex;
  flex-direction: column;
  height: 100%;
}

.catalog__grid .product img {
    aspect-ratio: 1 / 1;
    border-radius: 10px;
    width: 100%;
    object-fit: cover;
}

.reazy-loop-info-wrap .product-loop-cats a{ 
  text-decoration: none; 
  color: var(--color-gray-400);
}

.product .added_to_cart.wc-forward {
  display: none;
}

.catalog__controls {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 40px;
  margin-bottom: 20px;
  color: var(--text-color-gray);
}

@media screen and (max-width:480px) {
  .catalog__controls {
    gap: 20px;
  }
}
@media screen and (max-width:360px) {
  .catalog__controls {
    gap: 10px;
  }
}

.catalog__controls .woocommerce-result-count {
  margin-right: auto;
  margin-bottom: 0;
}

@media screen and (max-width:480px) {
  .catalog__controls .woocommerce-result-count {
    font-size: 12px;
    margin-right: 0;
    width: 100%;
    text-align: center;
  }
}

.reazy-thumb-link {
  position: relative;
  display: block;
}
/* для слайдеров */
.owl-carousel .reazy-thumb-link {
  border-radius: 10px;
  overflow: hidden;
}

/* Обёртка контента карточки */
.reazy-loop-info-wrap{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-areas:
    "title title"
    "cats cats"
    "price buy";
  gap: 0 10px;

  grid-template-rows: auto 1fr auto; /* низ прилипает */
  flex: 1;                           /* растянуть блок по высоте карточки */
  /* align-items: start; */
  align-items: center;
}


.reazy-loop-info-wrap:has(.reazy-login-to-wholesale) {
    grid-template-areas:
    "title title"
    "cats cats"
    "price buy"
    "login login";
    grid-template-rows: auto 1fr auto auto; 
}
@media (max-width: 510px){
  .reazy-loop-info-wrap{
    grid-template-columns: 1fr;
    grid-template-areas:
      "title"
      "cats"
      "price"
      "buy";
      grid-template-rows: auto 1fr auto auto; 
  }
  .reazy-loop-info-wrap:has(.reazy-login-to-wholesale) {
    grid-template-areas:
      "title"
      "cats"
      "price"
      "buy"
      "login";
      grid-template-rows: auto 1fr auto auto auto; 
  }
}
@media (min-width:768px) and (max-width: 1024px) {
  .columns-4 .reazy-loop-info-wrap{
    grid-template-columns: 1fr;
    grid-template-areas:
      "title"
      "cats"
      "price"
      "buy";
     grid-template-rows: auto 1fr auto auto; 
  }
  .columns-4 .reazy-loop-info-wrap:has(.reazy-login-to-wholesale) {
    grid-template-areas:
      "title"
      "cats"
      "price"
      "buy"
      "login";
      grid-template-rows: auto 1fr auto auto auto; 
  }
}
.reazy-loop-info-wrap .reazy-login-to-wholesale {
  grid-area: login;
  margin-top: 6px;
  align-self: start;
  display: flex;
}
/* .reazy-loop-info-wrap .reazy-wholesale-note {
  grid-area: wholesale;
} */

.login-to-prices-msg {
  font-size: 14px;
  line-height: 1.3;
  color: var(--accent-color);
  font-weight: 600;
}

/* Название */
.reazy-loop-info-wrap .woocommerce-loop-product__title{
  grid-area: title;
  margin: 0;
  font-size: inherit;
  /* min-height: 45px; */
  margin-top: 15px;
}

@media screen and (max-width: 768px) {
  .reazy-loop-info-wrap .woocommerce-loop-product__title{
    font-size: 14px;
  }
}

/* Категории */
.reazy-loop-info-wrap .product-loop-cats{
  grid-area: cats;
}

@media screen and (max-width: 768px) {
  .reazy-loop-info-wrap .product-loop-cats{
    font-size: 14px;
  }
}

/* Цена */
/* .reazy-loop-info-wrap .price{
  grid-area: price;
  align-self: center;
  justify-self: end;
  margin-left: 15px;
} */

.reazy-loop-info-wrap .price{
  display: flex;
  align-items: center;
  gap: 6px;
  white-space: nowrap;
}

.reazy-loop-info-wrap .price del,
.reazy-loop-info-wrap .price ins{
  display: inline-flex;  /* или inline-block */
  float: none;
}

.amount {
  color: var(--accent-color);
  font-weight: 600;
}
.price {
  color: var(--accent-color);
}
.price ins {
  padding: 0;
  background-color: transparent;
  color: var(--accent-color);
  text-decoration: none;
  opacity: 1;
}
del .amount {
  color: var(--color-gray-300);
  font-weight: 400;
}

.price del .amount{
  color: var(--color-gray-300);
  font-size: 90%;
}
.price del {
  text-decoration-color: var(--color-gray-300);
}

/* .reazy-loop-info-wrap .price:has(.login-to-prices-msg) {
  grid-column: span 2;
  justify-self: start;
} */

.reazy-price-wrap {
  display: flex;
  gap: 6px;
  grid-area: price;
  align-self: center;
  align-items: center;
  justify-self: end;
  margin-left: 15px;
  margin-right: 10px;
}

.reazy-price-wrap:has(del) {
  margin-right: 0;
}
@media (max-width: 510px) {
  .reazy-price-wrap {
    justify-self: start;
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 5px;
  }
}
@media (min-width: 768px) and (max-width: 1024px) {
  .columns-4 .reazy-price-wrap {
    justify-self: start;
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 5px;
  }
}
/* Блок qty + кнопка */
.reazy-loop-info-wrap .reazy-loop-buy{
  grid-area: buy;
  align-self: end;
  justify-self: start;
  display: grid;           /* чтобы qty и кнопка тоже стали аккуратно в строку */
  grid-auto-flow: column;
  gap: 8px;
  align-items: center;
  margin-right: 9px;
  /* width: 100%; */
}

.reazy-loop-info-wrap:has(del) .reazy-loop-buy {
  margin-right: 0;
}

/* Если внутри есть .quantity — тоже в строку */

.quantity.reazy-qty-wrap {
  display: grid;
  grid-auto-flow: column;
  align-items: center;
}

@media (max-width: 510px){
  .reazy-loop-info-wrap .price {
    justify-self: start;
  }

}
/* @media (max-width: 480px){
  .reazy-loop-info-wrap .price {
    margin: 0;
  }
  .reazy-loop-info-wrap .reazy-loop-buy {
    margin: 0;
  }
} */
@media (max-width: 510px){

  .reazy-loop-info-wrap .reazy-loop-buy{
    justify-self: start; 
    grid-auto-flow: row; 
    width: 100%;
    max-width: 130px;
  }
}

.reazy-qty-wrap .reazy-qty {
  width: 100% !important;
}
.cart-widget-side .reazy-qty-wrap .reazy-qty {
  width: 45px !important;
}

/* кнопка добавить в корзину */
.product .reazy-loop-buy .add_to_cart_button {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 101px;
  min-width: 101px;
  height: 43px;
  padding: 0;
  margin-right: 15px;
  border-radius: 35px;
  background-color: var(--accent-color);
  font-size: 0;
  line-height: 0;
  overflow: hidden;
  white-space: nowrap;
  color: #fff;
}

/* прячем текст */
.product .reazy-loop-buy .add_to_cart_button::after {
  content: "";
}

.product .reazy-loop-buy .add_to_cart_button::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 22px;
  height: 22px;
  transform: translate(-50%, -50%);
  background-color: currentColor;
  -webkit-mask: var(--cart-line-icon) center / contain no-repeat;
  mask: var(--cart-line-icon) center / contain no-repeat;
}


.product .reazy-loop-buy .quantity.reazy-qty-wrap {
  width: 101px;
  min-width: 101px;
}

.lmp_button {
  border-radius: var(--btn-brd-radius);
  color: var(--btn-accented-color);
  box-shadow: var(--btn-accented-box-shadow);
  background-color: var(--accent-color);
  text-transform: var(--btn-transform);
  font-weight: var(--btn-font-weight);
}
.product .reazy-loop-buy .add_to_cart_button span {
  padding: 5px 14px;
}

/* базовая кнопка */
.catalog__grid  a.add_to_cart_button{
  position: relative;
  transition: background-color .2s ease, color .2s ease;
}

/* hover — фон темнее */
.reazy-loop-buy a.add_to_cart_button:hover{
  background-color: var(--accent-color-hover);
  color: #fff;
}

/* состояние загрузки */
.reazy-loop-buy a.add_to_cart_button.loading{
  pointer-events: none;
  background-color: var(--accent-color-hover);
  color: #fff;
}

/* скрываем текст во время загрузки */
.reazy-loop-buy a.add_to_cart_button.loading > span{
  opacity: 0;
}

/* спиннер */
.reazy-loop-buy a.add_to_cart_button.loading::after{
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 16px;
  height: 16px;
  margin: -8px 0 0 -8px;
  border-radius: 50%;
  border: 1px solid currentColor;
  border-right-color: transparent;
  animation: reazySpin .7s linear infinite;
}

@keyframes reazySpin{
  to { transform: rotate(360deg); }
}


.reazy-products-per-page { 
  display:flex; 
  gap:10px; 
  align-items:center; 
}
@media screen and (max-width: 768px) {
  .reazy-products-per-page { 
    display:none; 
  }
}

.reazy-products-per-page__sep { 
  width:1px; height:14px; 
  background:currentColor; 
  opacity:.2; 
}
.reazy-products-per-page__link {
  color: var(--text-color-gray);
}
.reazy-products-per-page__link.is-active { 
  font-weight:700; 
  text-decoration:underline; 
}
.reazy-products-per-page__title {
  font-weight: 600;
}

.reazy-products-shop-view { display:flex; gap:18px; align-items:center; }
@media screen and (max-width: 768px) {
  .reazy-products-shop-view { 
    display:none; 
  }
}
.reazy-products-shop-view .shop-view{
  padding:0; border:0; background:transparent; cursor:pointer;
  color:#cfcfcf; /* неактив */
}
.reazy-products-shop-view .shop-view__icon rect{ fill: currentColor; }
.reazy-products-shop-view .shop-view.current-variation{ color:#111; } /* актив */
.reazy-products-shop-view .shop-view:disabled{ cursor:default; opacity:1; }



.reazy-filters-btn{
  display:inline-flex;
  align-items:center;
  gap:10px;

  padding:0;
  background-color: transparent;
  border:0;
  border-radius:0;
  cursor:pointer;
  color: var(--text-color);
}

@media screen and (max-width:360px) {
  .reazy-filters-btn{
    gap:5px;
  }
}

.reazy-filters-btn__icon{
  display:inline-flex;
  width:18px;
  height:18px;
  color: var(--text-color);
}

.reazy-filters-btn:focus-visible{
  outline:2px solid currentColor;
  outline-offset:2px;
}


@media screen and (min-width:1200px) {
  .reazy-filters-btn {
    display: none;
  }
}

/* Оверлей затемнения */
.reazy-filters-overlay{
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,.45);
  z-index: 9998; /* ниже сайдбара и кнопки */
}

/* Сайдбар должен быть выше оверлея */
.area-sidebar-shop.modal-mob_active{
  top: 0;
  right: 0;
  z-index: 9999;
}

/* Кнопка закрытия */

.catalog-sidebar__close{
  background: transparent;
  border: 0;
  padding: 0;
  cursor: pointer;
  color: #111; /* ВАЖНО: иначе currentColor может быть “невидимым” */
  position: sticky;
  top: 0;
  right: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: end;
  align-items: center;
}

.catalog-sidebar__close-icon{
  width: 22px;
  height: 22px;
  display: block;
  background-color: white;
    padding: 5px;
    box-sizing: content-box;
    border-radius: 5px;
}

.catalog-sidebar__close-icon path{
  stroke: currentColor;
  stroke-width: 2.5;
  stroke-linecap: round;
  fill: none;
}

.area-sidebar-shop .berocket_single_filter_widget {
  margin-bottom: 15px;
  border-bottom: 1px solid var(--brdcolor-gray-300);
  padding-bottom: 15px;
}

.area-sidebar-shop .berocket_single_filter_widget .bapf_sfilter {
  margin: 0;
}

/* фильтр с темой scroll*/
.area-sidebar-shop .berocket_single_filter_widget_11650 .bapf_sfilter {
  max-height: 360px;
  overflow-y: auto;
}

/* стили для скролла scroll */
/* start custom scroll */
.area-sidebar-shop .berocket_single_filter_widget_11650 .bapf_sfilter::-webkit-scrollbar {
	width: 4px;
}

.area-sidebar-shop .berocket_single_filter_widget_11650 .bapf_sfilter::-webkit-scrollbar-track {
    background: transparent;  /* Скрыть трек */
}

.area-sidebar-shop .berocket_single_filter_widget_11650 .bapf_sfilter::-webkit-scrollbar-thumb {
    background-color: rgba(100, 100, 100, 0.3); /* бледный по умолчанию */
    border-radius: 4px;
    transition: background-color 0.2s ease;  
}

.area-sidebar-shop .berocket_single_filter_widget_11650 .bapf_sfilter:hover::-webkit-scrollbar-thumb {
  background-color: rgba(100, 100, 100, 0.7); /* ярче при скролле */
}

.area-sidebar-shop .berocket_single_filter_widget_11650 .bapf_sfilter::-webkit-scrollbar-button {
  display: none;
  height: 0;
  width: 0;
}

/* end custom scroll */


.area-sidebar-shop .berocket_single_filter_widget h3{
  color: rgb(79,67,68);
  font-weight: 700;
  margin-bottom: 10px;
}

.area-sidebar-shop .berocket_single_filter_widget .bapf_body li {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.area-sidebar-shop .berocket_single_filter_widget .bapf_body li span {
  padding-inline: 5px;
  min-width: 30px;
  height: 20px;
  border: 1px solid var(--brdcolor-gray-300);
  border-radius: 35px;
  color: var(--color-gray-500);
  text-align: center;
  font-size: 12px;
  line-height: 18px;
  transition: color .25s ease, background-color .25s ease, border-color .25s ease;
  margin-inline-start: 5px;
}

.area-sidebar-shop .berocket_single_filter_widget label {
  color: var(--color-gray-500);
  margin-bottom: 5px;
  width: 100%;
}

.area-sidebar-shop .berocket_single_filter_widget .bapf_body li:hover label{
    color:#111;
}
.area-sidebar-shop .berocket_single_filter_widget .bapf_body li:hover span{
    color: #fff;
    background-color: var(--accent-color);
    border-color: var(--accent-color);
}
.area-sidebar-shop .berocket_single_filter_widget .bapf_body li.checked span{
    color: #fff;
    background-color: var(--accent-color);
    border-color: var(--accent-color);
}


/* стили для switch-чекбокса "Только в наличии" */
.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) {
  padding-bottom: 35px;
}

.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) li:has([data-name="Нет в наличии"]) {
  display: none !important;
}

.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) label {
  font-size: 0;
}

/* скрываем сам input всегда */
.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) input {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

/* базовый label */
.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) input + label {
  position: relative;
  display: inline-block;
  padding: 5px 0 0 60px;
  cursor: pointer;
}

/* трек */
.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) input + label::before {
  content: '';
  position: absolute;
  top: -2px;
  left: 0;
  width: 50px;
  height: 26px;
  border-radius: 13px;
  background-color: #EBECEC;
  box-shadow: #CDD1DA 0 0 0 0 inset;
  transition: border 0.4s, box-shadow 0.4s, background-color 0.4s;
}

/* кружок */
.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) input + label::after {
  content: '';
  position: absolute;
  top: 0;
  left: 2px;
  width: 22px;
  height: 22px;
  border-radius: 50%;
  background: #FFF;
  box-shadow: 0 2px 5px rgba(0, 0, 0, .3);
  transition: all .2s;
}

/* активное состояние */
.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) input:checked + label::before {
  box-shadow: var(--accent-color) 0 0 0 16px inset;
  background-color: var(--accent-color);
}

.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Только в наличии"]) input:checked + label::after {
  left: 26px;
}

/* стили для лучшие предложения и товары со скидкой */

.area-sidebar-shop .widget_custom_html .widget-title{
  color: rgb(79,67,68);
  font-weight: 700;
  margin-bottom: 10px;
}

.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Лучшие предложения"]) {
	margin-bottom: 0;
	padding-bottom: 0;
	border-bottom: none;
}
/* fallback */
.area-sidebar-shop .widget_custom_html + .berocket_single_filter_widget {
  margin-bottom: 0;
	padding-bottom: 0;
	border-bottom: none;
}

.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_sfilter[data-name="Лучшие предложения"]) h3 {
	display: none;
}

.bapf_sfilter[data-taxonomy="_sale"] .bapf_body li:has(input[data-name="Не на распродаже"]) {
	display: none;
}

.berocket_single_filter_widget:has(.bapf_sfilter[data-taxonomy="_sale"] li.bapf_hide input[data-name="Товары со скидкой"]) {
  margin-bottom: 0;
	padding-bottom: 0;
	border-bottom: none;
}


.area-sidebar-shop .berocket_single_filter_widget:has(.bapf_button) {
  border: none;
}

.bapf_sfilter .bapf_button {
  padding: 0;
  border: none;
  background: transparent;
  box-shadow: none;
  border-radius: 0;
  min-height: auto;
  height: auto;

  font: inherit;
  font-weight: 400;
  line-height: 1.2;
  color: var(--accent-color);
  text-underline-offset: 2px;

  cursor: pointer;
}

.bapf_sfilter .bapf_button:hover {
    text-decoration: underline;
}

.bapf_sfilter.bapf_fhide .bapf_body ul li.bapf_hide, .bapf_sfilter.bapf_fhide.bapf_filter_hide, .berocket_single_filter_widget.bapf_mt_none {
    display: none !important;
}

/* Под ценой: "xx ₽/шт крупный опт (i)" */
.reazy-wholesale-note{
  /* display: grid;
  grid-template-columns: auto 110px; */
  /* display: flex;
  align-items: center;
  gap: 8px;
  color: var(--accent-color);
  font-size: 14px;
  line-height: 1.2;
  margin-top: 6px;
  margin-left: 15px;
  color: var(--text-color); */
  width: 18px;
  height: 18px;
}

.reazy-wholesale-price{ font-weight: 600; }
.reazy-wholesale-price .amount {
  color: var(--text-color);
  font-weight: 500;
}
/* .reazy-wholesale-info-wrap {
  display: flex;
  align-items: center;
  gap: 2px;
} */
.reazy-wholesale-label{ font-weight: 500; }

.reazy-wholesale-info{
  padding: 0;
  border: 0;
  background: transparent;
  cursor: pointer;
  color: var(--accent-color);
  display: inline-flex;
  align-items: center;
  min-height: 18px;
}

.reazy-wholesale-info:hover {
  background: transparent;
  color: var(--accent-color);
}

.reazy-wholesale-info-svg{
  width: 18px;
  height: 18px;
}

/* Modal */
.reazy-modal{ position: fixed; inset: 0; z-index: 9999; display: none; }
.reazy-modal[aria-hidden="false"]{ display: block; }

.reazy-modal__overlay{
  position: absolute; inset: 0;
  background: rgba(0,0,0,.45);
}

.reazy-modal__dialog{
  position: relative;
  max-width: 520px;
  width: calc(100% - 24px);
  background: #fff;
  border-radius: 12px;
  padding: 18px 18px 14px;
  box-shadow: 0 10px 30px rgba(0,0,0,.2);
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  font-size: 14px;
  font-weight: 500;
}

.reazy-modal__close{
  position: absolute;
  top: 10px; right: 10px;
  border: 0;
  background: transparent;
  font-size: 22px;
  cursor: pointer;
  line-height: 1;
}

.reazy-modal__close:hover{
  background: transparent;
}

.reazy-modal__title{
  font-weight: 600;
  font-size: 16px;
  margin-bottom: 10px;
  padding-right: 35px;
}

.reazy-modal__body{
  font-size: 14px;
  line-height: 1.5;
}

.reazy-modal__list{ margin: 0; padding-left: 0; list-style: none; }
.reazy-modal__list li{ margin: 6px 0; }

.reazy-modal__bottom{
  margin-top: 12px;
  font-size: 14px;
}

.reazy-modal__bottom a{
  color: var(--accent-color);
  text-decoration: underline;
}


.product-label {
  position: absolute;
  top: 7px;
  inset-inline-start: 7px;
  z-index: 1;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  flex-wrap: nowrap;
  gap: 10px;
  max-width: 50%;
  transition: opacity .3s ease;
  border-radius: 100px;
  padding: 5px 10px;
  /* min-width: 50px; */
  color: #fff;
  text-align: center;
  text-transform: uppercase;
  word-break: break-all;
  font-weight: 600;
  font-size: 12px;
  line-height: 1.2;
}

.product-label.onsale {
  background-color: var(--accent-color);
  direction: ltr;
}


.woocommerce-ordering select {
  padding-right: 30px;
  background-image: var(--form-chevron);
  background-position: right 10px top 50%;
  background-size: auto 18px;
  background-repeat: no-repeat;
  cursor: pointer;
  padding-top: 5px;
  padding-bottom: 5px;
  height: auto;
  border-top-style: none;
  border-right-style: none;
  border-left-style: none;
  border-radius: 0;
  background-color: unset;
  background-position: right 0 top 50%;
  color: var(--color-gray-900);
  font-weight: 600;
  font-size: inherit;
  line-height: 1.2;
  padding-inline-start: 2px;
  padding-inline-end: 20px;
  max-width: 100%;
  width: 100%;
}

.woocommerce-ordering select:focus-visible, .woocommerce-ordering select:focus {
  outline: none;
  box-shadow: none;
}

@media (max-width:768px) {
  .woocommerce-ordering {
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
  }
  .woocommerce-ordering select {
    position: absolute;
    inset: 0;
    padding: 0;
    height: inherit;
    border: none;
    background: none;
    color: transparent !important;
    font-weight: 400;
    font-size: 16px;
    -webkit-appearance: none;
    -moz-appearance: none;

  }
  .woocommerce-ordering:after {
    position: relative;
    z-index: 2;
    pointer-events: none;
    content: "";
    width: 30px;
    height: 30px;
    display: inline-block;
    background-image: var(--sorting-icon);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
  }
}

.woocommerce-breadcrumb .breadcrumb-item:last-child {
  font-weight: 600;
}

